petsc-3.6.2 2015-10-02
Report Typos and Errors

# SNESSetLagJacobianPersists

Set whether or not the Jacobian lagging persists through multiple solves

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetLagJacobianPersists(SNES snes,PetscBool flg)

Logically collective on SNES

### Input Parameter

| snes | - the SNES context
| flg | - jacobian lagging persists if true

### Options Database Keys

-snes_lag_jacobian_persists <flg> - Notes: This is useful both for nonlinear preconditioning, where it's appropriate to have the Jacobian be stale by several solves, and for implicit time-stepping, where Jacobian lagging in the inner nonlinear solve over several timesteps may present huge efficiency gains.

### Keywords

SNES, nonlinear, lag

### See Also

SNESSetLagPreconditionerPersists(), SNESSetLagJacobian(), SNESGetLagJacobian(), SNESGetNPC()

Level:developer
Location:src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages